Adding help to each tool

This commit is contained in:
Alex Epstein 2017-06-29 12:21:28 -04:00
parent 3d2540b42a
commit 5b8479552b
5 changed files with 86 additions and 12 deletions

View File

@ -58,7 +58,19 @@ update()
} }
while getopts "uve:d:" opt; do ## alows for using options in bash
usage()
{
echo "Crypt tool"
echo "Usage: crypt [flag] [inputFile] [outputFile]"
echo " -e Encrypt the inputFile and store it in the outputFile"
echo " -d Decrypt the inputFile and store it in the outputFile"
echo " -u Update Bash-Snippet Tools"
echo " -h Show the help"
echo " -v Get the tool version"
}
while getopts "huve:d:" opt; do ## alows for using options in bash
case $opt in case $opt in
e) ## when trying to encrypt run this e) ## when trying to encrypt run this
if [[ $# -ne 3 ]]; then if [[ $# -ne 3 ]]; then
@ -82,6 +94,10 @@ while getopts "uve:d:" opt; do ## alows for using options in bash
update update
exit 0 exit 0
;; ;;
h)
usage
exit 0
;;
v) v)
echo "Version $currentVersion" echo "Version $currentVersion"
exit 0 exit 0
@ -93,7 +109,12 @@ while getopts "uve:d:" opt; do ## alows for using options in bash
esac esac
done done
if [[ $1 == "update" ]];then if [[ $# == 0 ]]; then
usage
elif [[ $1 == "update" ]];then
update update
exit 0 exit 0
elif [[ $1 == "help" ]];then
usage
exit 0
fi fi

View File

@ -174,16 +174,27 @@ update()
} }
usage()
{
echo "Currency tool"
echo "Usage: currency or currency [flag] or currency [base] [exchangeTo] [amount]"
echo " -u Update Bash-Snippet Tools"
echo " -h Show the help"
echo " -v Get the tool version"
}
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uv" opt; do while getopts "uvh" opt; do
case $opt in case $opt in
\?) \?)
echo "Invalid option: -$OPTARG" >&2 echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h)
help usage
exit 0
;; ;;
v) v)
echo "Version $currentVersion" echo "Version $currentVersion"
@ -209,6 +220,8 @@ if [[ $# == 0 ]]; then
elif [[ $# == "1" ]]; then elif [[ $# == "1" ]]; then
if [[ $1 == "update" ]];then if [[ $1 == "update" ]];then
update update
elif [[ $1 == "help" ]]; then
usage
else else
echo "Not a valid argument" echo "Not a valid argument"
fi fi

View File

@ -94,16 +94,26 @@ update()
} }
usage()
{
echo "Movies tool"
echo "Usage: movies [flag] or movies [movieToSearch]"
echo " -u Update Bash-Snippet Tools"
echo " -h Show the help"
echo " -v Get the tool version"
}
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uv" opt; do while getopts "uvh" opt; do
case $opt in case $opt in
\?) \?)
echo "Invalid option: -$OPTARG" >&2 echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h)
help usage
exit 0
;; ;;
v) v)
echo "Version $currentVersion" echo "Version $currentVersion"
@ -120,8 +130,12 @@ while getopts "uv" opt; do
esac esac
done done
if [[ $1 == "update" ]];then if [[ $# == 0 ]]; then
usage
elif [[ $1 == "update" ]];then
update update
elif [[ $1 == "help" ]];then
usage
else else
getMovieInfo $1 $2 $3 $4 $5 $6 $7 $8 $9 || exit 1 ## exit if we return 1 (chances are movie was not found) getMovieInfo $1 $2 $3 $4 $5 $6 $7 $8 $9 || exit 1 ## exit if we return 1 (chances are movie was not found)
printMovieInfo ## print out the data printMovieInfo ## print out the data

View File

@ -107,18 +107,26 @@ update()
} }
usage()
{
echo "Stocks tool"
echo "Usage: stocks [flag or company]"
echo " -u Update Bash-Snippet Tools"
echo " -h Show the help"
echo " -v Get the tool version"
}
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uv" opt; do while getopts "uvh" opt; do
case $opt in case $opt in
\?) \?)
echo "Invalid option: -$OPTARG" >&2 echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h)
help usage
exit 0 exit 0
;; ;;
v) v)
@ -139,8 +147,10 @@ done
if [[ $1 == "update" ]];then if [[ $1 == "update" ]];then
update update
elif [[ $1 == "help" ]];then
usage
elif [[ $# == "0" ]];then elif [[ $# == "0" ]];then
echo "Error: requires an argument either stocks [company] or stocks [stock symbol]" usage
else else
getTicker $1 $2 $3 $4 $5 $6 $7 $8 $9 # the company name might have spaces so passing in all args allows for this getTicker $1 $2 $3 $4 $5 $6 $7 $8 $9 # the company name might have spaces so passing in all args allows for this
getStockInformation $symbol # based on the stock symbol exrapolated by the getTicker function get information on the stock getStockInformation $symbol # based on the stock symbol exrapolated by the getTicker function get information on the stock

View File

@ -75,19 +75,33 @@ update()
} }
usage()
{
echo "Weather tool"
echo "Usage: weather or weather [flag] or weather [country] or weather [city] [state]"
echo " weather [i] get weather in imperial units"
echo " weather [m] get weather in metric units"
echo " weather [Moon] grabs the phase of the moon"
echo " -u Update Bash-Snippet Tools"
echo " -h Show the help"
echo " -v Get the tool version"
}
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uv" opt; do while getopts "uvh" opt; do
case $opt in case $opt in
\?) \?)
echo "Invalid option: -$OPTARG" >&2 echo "Invalid option: -$OPTARG" >&2
exit 1 exit 1
;; ;;
h) h)
help usage
exit 0
;; ;;
v) v)
echo "Version $currentVersion" echo "Version $currentVersion"
@ -106,6 +120,8 @@ done
if [[ $# == "0" ]]; then if [[ $# == "0" ]]; then
getIPWeather getIPWeather
elif [[ $1 == "help" ]];then
usage
elif [[ $1 == "update" ]]; then elif [[ $1 == "update" ]]; then
update update
elif [[ $1 == "m" ]]; then elif [[ $1 == "m" ]]; then